﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FoxCommerce.MVC.Data.Infrastructure
{
    public class DatabaseFactory : Disposable, IDatabaseFactory
    {
        private FoxCommerceMVCWebContext dataContext;
        public FoxCommerceMVCWebContext Get()
        {
            return dataContext ?? (dataContext = new FoxCommerceMVCWebContext());
        }
        protected override void DisposeCore()
        {
            if (dataContext != null)
                dataContext.Dispose();
        }
    }
}
