﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public partial class NewsLetterSubscription
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        public Guid NewsLetterSubscriptionGuid { get; set; }

        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }
        public bool Active { get; set; }

        [DataType(DataType.DateTime)]
        public DateTime CreatedOn { get; set; }

    }
}