﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public partial class PaymentMethod
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        public string Name { get; set; }
        public string VisibleName { get; set; }
        public string Description { get; set; }
        public int IsActive { get; set; }
        public int DisplayOrder { get; set; }

        public int RestrictedCountryID { get; set; }
        [ForeignKey("RestrictedCountryID")]
        public virtual Country RestrictedCountry { get; set; }
    }
}