﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public partial class CreditCard
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        public int CreditCardTypeID { get; set; }
        [ForeignKey("CreditCardTypeID")]
        public virtual CreditCardType CreditCardType { get; set; }

        public string CardName { get; set; }
        public string CardNumber { get; set; }
        public string MaskedCreditCardNumb { get; set; }
        public string CardCVV2 { get; set; }
        public string CardExpirationMonth { get; set; }
        public string CardExpirationYear { get; set; }
    }
}