﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public partial class EmailAccount
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        [DataType(DataType.EmailAddress)]
        public string EMail { get; set; }
        public string DisplayName { get; set; }
        public string Host { get; set; }
        public string Port { get; set; }
        public string UserName { get; set; }

        [DataType(DataType.Password)]
        public string Password { get; set; }

        public bool EnableSSL { get; set; }
        public bool UseDefaultCredential { get; set; }
    }
}