﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public partial class MessageTemplateLocalized
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        public int MessageTemplateID { get; set; }
        [ForeignKey("MessageTemplateID")]
        public virtual MessageTemplate MessageTemplate { get; set; }

        public int LanguageID { get; set; }
        [ForeignKey("LanguageID")]
        public virtual Language Language { get; set; }

        public string BCCEmailAddresses { get; set; }
        public string Subject { get; set; }

        [DataType(DataType.MultilineText)]
        public string Body { get; set; }

        public bool IsActive { get; set; }

        public int EmailAccountID { get; set; }
        [ForeignKey("EmailAccountID")]
        public virtual EmailAccount EmailAccount { get; set; }
    }
}