﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public partial class ProductImage
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        public bool IsBossImage { get; set; }//todo: ürünü temsil edecek resim :))

        public int PictureID { get; set; }
        [ForeignKey("PictureID")]
        public virtual Picture Picture { get; set; }

        public int DisplayOrder { get; set; }

        public int ProductID { get; set; }
        [ForeignKey("ProductID")]
        public virtual Product Product { get; set; }
    }
}