﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public partial class RecurringPayment
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        public int InitialOrderID { get; set; }
        [ForeignKey("InitialOrderID")]
        public virtual Order InitialOrder { get; set; }

        public int CycleLength { get; set; }
        public int CyclePeriod { get; set; }
        public int TotalCycles { get; set; }

        [DataType(DataType.DateTime)]
        public DateTime StartDate { get; set; }

        public bool IsActive { get; set; }
        public bool Deleted { get; set; }

        [DataType(DataType.DateTime)]
        public DateTime CreatedOn { get; set; }
    }
}